Bug 1040072 - [abrt] pyhoca-gui-0.4.0.8-1.fc19: session.py:2364:color_depth_from_session_name:IndexError: list index out of range
Summary: [abrt] pyhoca-gui-0.4.0.8-1.fc19: session.py:2364:color_depth_from_session_na...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pyhoca-gui
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:cfc7b133146cfc2709d4a057502...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-10 16:24 UTC by Sven Oehme
Modified: 2014-11-17 06:30 UTC (History)
1 user (show)

Fixed In Version: pyhoca-gui-0.5.0.0-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-17 06:30:29 UTC


Attachments (Terms of Use)
File: backtrace (4.63 KB, text/plain)
2013-12-10 16:24 UTC, Sven Oehme
no flags Details
File: environ (3.45 KB, text/plain)
2013-12-10 16:25 UTC, Sven Oehme
no flags Details

Description Sven Oehme 2013-12-10 16:24:52 UTC
Version-Release number of selected component:
pyhoca-gui-0.4.0.8-1.fc19

Additional info:
reporter:       libreport-2.1.9
cmdline:        pyhoca-gui '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' ''
dso_list:       python-x2go-0.4.0.8-1.1.x86_64
executable:     /usr/bin/pyhoca-gui
kernel:         3.11.9-200.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            911119

Truncated backtrace:
#1 color_depth_from_session_name in /usr/lib/python2.7/site-packages/x2go/session.py:2364
#2 is_color_depth_ok in /usr/lib/python2.7/site-packages/x2go/session.py:2376
#3 __init__ in /usr/lib/python2.7/site-packages/pyhoca/wxgui/menus_taskbar.py:253
#4 __init__ in /usr/lib/python2.7/site-packages/pyhoca/wxgui/menus_taskbar.py:764
#5 __init__ in /usr/lib/python2.7/site-packages/pyhoca/wxgui/menus_taskbar.py:1033
#6 CreateSessionManagerPopupMenu in /usr/lib/python2.7/site-packages/pyhoca/wxgui/taskbar.py:153

Comment 1 Sven Oehme 2013-12-10 16:24:58 UTC
Created attachment 834848 [details]
File: backtrace

Comment 2 Sven Oehme 2013-12-10 16:25:06 UTC
Created attachment 834849 [details]
File: environ

Comment 3 Fedora Update System 2014-10-20 15:27:59 UTC
pyhoca-gui-0.5.0.0-1.fc19, pyhoca-cli-0.5.0.0-1.fc19, python-x2go-0.5.0.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pyhoca-gui-0.5.0.0-1.fc19,pyhoca-cli-0.5.0.0-1.fc19,python-x2go-0.5.0.0-1.fc19

Comment 4 Fedora Update System 2014-10-21 10:27:40 UTC
Package pyhoca-gui-0.5.0.0-1.fc19, pyhoca-cli-0.5.0.0-1.fc19, python-x2go-0.5.0.0-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pyhoca-gui-0.5.0.0-1.fc19 pyhoca-cli-0.5.0.0-1.fc19 python-x2go-0.5.0.0-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-13359/pyhoca-gui-0.5.0.0-1.fc19,pyhoca-cli-0.5.0.0-1.fc19,python-x2go-0.5.0.0-1.fc19
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-11-17 06:30:29 UTC
pyhoca-gui-0.5.0.0-1.fc19, pyhoca-cli-0.5.0.0-1.fc19, python-x2go-0.5.0.0-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.